com.sun.jna.platform.win32

## Class Wininet.INTERNET_CACHE_ENTRY_INFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Wininet.INTERNET_CACHE_ENTRY_INFO

- Enclosing interface:
    Wininet

      public static class Wininet.INTERNET_CACHE_ENTRY_INFO
      extends Structure

  Contains information about an entry in the Internet cache.

       typedef struct _INTERNET_CACHE_ENTRY_INFO {
         DWORD    dwStructSize;
         LPTSTR   lpszSourceUrlName;
         LPTSTR   lpszLocalFileName;
         DWORD    CacheEntryType;
         DWORD    dwUseCount;
         DWORD    dwHitRate;
         DWORD    dwSizeLow;
         DWORD    dwSizeHigh;
         FILETIME LastModifiedTime;
         FILETIME ExpireTime;
         FILETIME LastAccessTime;
         FILETIME LastSyncTime;
         LPTSTR   lpHeaderInfo;
         DWORD    dwHeaderInfoSize;
         LPTSTR   lpszFileExtension;
         union {
           DWORD dwReserved;
           DWORD dwExemptDelta;
         };
       } INTERNET_CACHE_ENTRY_INFO, *LPINTERNET_CACHE_ENTRY_INFO;

  See Also:
    MSDN

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Wininet.INTERNET_CACHE_ENTRY_INFO.UNION` A union of the last two distinct fields in INTERNET_CACHE_ENTRY_INFO

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `additional` Additional data (the path and URLs mentioned previously, and more)
    `int` | `CacheEntryType` A bitmask indicating the type of cache entry and its properties. The cache entry types include: history entries (URLHISTORY_CACHE_ENTRY), cookie entries (COOKIE_CACHE_ENTRY), and normal cached content (NORMAL_CACHE_ENTRY).
    `int` | `dwHeaderInfoSize` Size of the lpHeaderInfo buffer, in TCHARs.
    `int` | `dwHitRate` Number of times the cache entry was retrieved.
    `int` | `dwSizeHigh` High-order portion of the file size, in bytes.
    `int` | `dwSizeLow` Low-order portion of the file size, in bytes.
    `int` | `dwStructSize` Size of this structure, in bytes.
    `int` | `dwUseCount` Current number of WinInet callers using the cache entry.
    `WinBase.FILETIME` | `ExpireTime` FILETIME structure that contains the expiration time of this file, in Greenwich mean time format.
    `static java.util.List<java.lang.String>` | `FIELDS`
    `WinBase.FILETIME` | `LastAccessTime` FILETIME structure that contains the last accessed time, in Greenwich mean time format.
    `WinBase.FILETIME` | `LastModifiedTime` FILETIME structure that contains the last modified time of this URL, in Greenwich mean time format.
    `WinBase.FILETIME` | `LastSyncTime` FILETIME structure that contains the last time the cache was synchronized.
    `Pointer` | `lpHeaderInfo` Pointer to a buffer that contains the header information.
    `Pointer` | `lpszFileExtension` Pointer to a string that contains the file name extension used to retrieve the data as a file.
    `Pointer` | `lpszLocalFileName` Pointer to a null-terminated string that contains the local file name.
    `Pointer` | `lpszSourceUrlName` Pointer to a null-terminated string that contains the URL name.
    `Wininet.INTERNET_CACHE_ENTRY_INFO.UNION` | `u` A union of the last two distinct fields in INTERNET_CACHE_ENTRY_INFO

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `INTERNET_CACHE_ENTRY_INFO(int size)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.
    `java.lang.String` | `toString()` If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELDS

          public static final java.util.List<java.lang.String> FIELDS

    - #### dwStructSize

          public int dwStructSize

      Size of this structure, in bytes. This value can be used to help determine the version of the cache system.

    - #### lpszSourceUrlName

          public Pointer lpszSourceUrlName

      Pointer to a null-terminated string that contains the URL name. The string occupies the memory area at the end of this structure.

    - #### lpszLocalFileName

          public Pointer lpszLocalFileName

      Pointer to a null-terminated string that contains the local file name. The string occupies the memory area at the end of this structure.

    - #### CacheEntryType

          public int CacheEntryType

      A bitmask indicating the type of cache entry and its properties.
      The cache entry types include: history entries (URLHISTORY_CACHE_ENTRY), cookie entries (COOKIE_CACHE_ENTRY), and normal cached content (NORMAL_CACHE_ENTRY).
      This member can be zero or more of the following property flags, and cache type flags listed below.
      - EDITED_CACHE_ENTRY: Cache entry file that has been edited externally. This cache entry type is exempt from scavenging.
      - SPARSE_CACHE_ENTRY: Partial response cache entry.
      - STICKY_CACHE_ENTRY: Sticky cache entry that is exempt from scavenging for the amount of time specified by dwExemptDelta.
        The default value set by CommitUrlCacheEntryA and CommitUrlCacheEntryW is one day.
      - TRACK_OFFLINE_CACHE_ENTRY: Not currently implemented.
      - TRACK_ONLINE_CACHE_ENTRY: Not currently implemented.
      The following list contains the cache type flags.
      - COOKIE_CACHE_ENTRY: Cookie cache entry.
      - NORMAL_CACHE_ENTRY: Normal cache entry; can be deleted to recover space for new entries.
      - URLHISTORY_CACHE_ENTRY: Visited link cache entry.

    - #### dwUseCount

          public int dwUseCount

      Current number of WinInet callers using the cache entry.

    - #### dwHitRate

          public int dwHitRate

      Number of times the cache entry was retrieved.

    - #### dwSizeLow

          public int dwSizeLow

      Low-order portion of the file size, in bytes.

    - #### dwSizeHigh

          public int dwSizeHigh

      High-order portion of the file size, in bytes.

    - #### LastModifiedTime

          public WinBase.FILETIME LastModifiedTime

      FILETIME structure that contains the last modified time of this URL, in Greenwich mean time format.

    - #### ExpireTime

          public WinBase.FILETIME ExpireTime

      FILETIME structure that contains the expiration time of this file, in Greenwich mean time format.

    - #### LastAccessTime

          public WinBase.FILETIME LastAccessTime

      FILETIME structure that contains the last accessed time, in Greenwich mean time format.

    - #### LastSyncTime

          public WinBase.FILETIME LastSyncTime

      FILETIME structure that contains the last time the cache was synchronized.

    - #### lpHeaderInfo

          public Pointer lpHeaderInfo

      Pointer to a buffer that contains the header information. The buffer occupies the memory at the end of this structure.

    - #### dwHeaderInfoSize

          public int dwHeaderInfoSize

      Size of the lpHeaderInfo buffer, in TCHARs.

    - #### lpszFileExtension

          public Pointer lpszFileExtension

      Pointer to a string that contains the file name extension used to retrieve the data as a file. The string occupies the memory area at the end of this structure.

    - #### u

          public Wininet.INTERNET_CACHE_ENTRY_INFO.UNION u

      A union of the last two distinct fields in INTERNET_CACHE_ENTRY_INFO

    - #### additional

          public byte[] additional

      Additional data (the path and URLs mentioned previously, and more)

  - ### Constructor Detail

    - #### INTERNET_CACHE_ENTRY_INFO

          public INTERNET_CACHE_ENTRY_INFO(int size)

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Structure`
      If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.
      Overrides:
        `toString` in class `Structure`
      Returns:
        String representation of this object.

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.